import { z } from "zod"

export const contactFormSchema = z.object({
    name: z.string().min(2, { message: "Ad en az 2 karakter olmalıdır." }),
    surname: z.string().min(2, { message: "Soyad en az 2 karakter olmalıdır." }),
    email: z.string().email({ message: "Geçerli bir e-posta adresi giriniz." }),
    phone: z.string().min(10, { message: "Geçerli bir telefon numarası giriniz (En az 10 hane)." }),
    subject: z.string().min(5, { message: "Konu en az 5 karakter olmalıdır." }),
    message: z.string().min(10, { message: "Mesaj en az 10 karakter olmalıdır." }),
})

export type ContactFormValues = z.infer<typeof contactFormSchema>
